# Verify Device Fingerprint

{% img src="https://img.shields.io/badge/jose-direct_encryption-blue" /%}{% .d-inline-block %}

To clear a Device Fingerprint challenge listed in an OTT.

Notes:
1. User is required to create a device fingerprint before the verification can be successful.
2. Rate limit may be applied if there are 5 continuous unsuccessful attempts and OTT creation will be blocked for 15 minutes.

Endpoint: POST /v1/one-time-token/partner-device-fingerprint/verify
Security: UserToken

## Header parameters:

  - `One-Time-Token` (string, required)
    Text value of a OTT.

  - `Accept` (string, required)
    Enum: "application/jose+json"

  - `X-TW-JOSE-Method` (string, required)
    JOSE method identifier.
    Enum: "jwe"

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"


